<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/dashboard_model_background"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">
        <ImageView
            android:id="@+id/image_icon"
            android:layout_width="36dp"
            android:layout_height="36dp"
            android:layout_marginStart="25dp"
            android:layout_marginTop="18dp"
            android:src="@mipmap/ic_launcher" />
        <com.google.android.material.textview.MaterialTextView
            android:id="@+id/dialog_title"
            style="@style/TextHeavy20"
            android:textSize="20sp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="25dp"
            android:layout_marginTop="20dp"
            android:text="@string/app_name" />
    </LinearLayout>
    <View
        android:id="@+id/view_line"
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:layout_marginTop="20dp"
        android:layout_marginHorizontal="20dp"
        android:background="@color/module_title_color" />




    <androidx.core.widget.NestedScrollView
        android:id="@+id/scrollContainer"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:fillViewport="true">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <FrameLayout
                android:id="@+id/contentContainer"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="16dp" />
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

<LinearLayout
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:gravity="center"
    android:paddingBottom="10dp"
    android:paddingHorizontal="20dp"
    android:orientation="horizontal">
    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/text_cancel"
        style="@style/LeftContent"
        android:layout_width="0dp"
        android:layout_weight="1"
        android:textAlignment="center"
        android:layout_height="wrap_content"
        android:padding="10dp"
        android:text="@string/cancel"
        android:background="@drawable/dialog_cancel_bg"
        android:layout_marginEnd="20dp"
        android:textColor="@color/black"
        android:visibility="gone" />


    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/text_settings"
        style="@style/LeftContent"
        android:layout_width="0dp"
        android:layout_weight="1"
        android:textAlignment="center"
        android:layout_height="wrap_content"
        android:padding="10dp"
        android:textColor="@color/white"
        android:text="@string/settings"
        android:background="@drawable/hard_bg"
        android:visibility="gone" />
    <com.google.android.material.textview.MaterialTextView
        android:id="@+id/text_ok"
        style="@style/LeftContent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="10dp"
        android:textAlignment="center"
        android:background="@drawable/dialog_ok_bg"
        android:visibility="visible"
        android:textColor="@color/white"
        android:text="@string/ok" />
</LinearLayout>


</LinearLayout>
